Guide e Tutorials: Apache e Php
Impostare una versione PHP diversa per un sottodominio o una sottocartella
Inviato da Luca Marzo il 28 April 2022 12:09 PM

Questa guida ti mostra come impostare una versione PHP differente rispetto a quella impostata per l'hosting, per una specifica cartella o uno specifico sottodominio.

La versione PHP da usare può essere impostata mediante il file .htaccess.

Apri il file .htaccess (o creane uno) nella cartella relativa al sottodominio o alla sottocartella per cui cambiare la versione di PHP ed inserisci le seguenti righe in testa al file.

<FilesMatch "\.(php4|php5|php3|php2|php|phtml)$">
SetHandler application/x-lsphpXX
</FilesMatch>

Dove la stringa application/x-lsphpXX dovrà rispecchiare la versione PHP da usare, esempio:

HandlerVersione PHP
application/x-lsphp44 4.4
application/x-lsphp51 5.1
application/x-lsphp52 5.2
application/x-lsphp53 5.3
application/x-lsphp54 5.4
application/x-lsphp56 5.6
application/x-lsphp70 7.0
application/x-lsphp71 7.1
application/x-lsphp72 7.2
application/x-lsphp73 7.3
application/x-lsphp74 7.4
application/x-lsphp80 8.0

Questa funzionalità è disponibile in tutti i server dove è presente la funzionalità PHP Selector.

(0 voti)
Utile
Non utile